/* Сброс стилей */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Подключение шрифтов */
@font-face {
  font-family: "MyCustomFont";
  src: url("../fonts/MarckScript-Regular.ttf") format("truetype");
}

@font-face {
  font-family: "Futura PT Bold Oblique";
  src: url("../fonts/futura_pt_bold_oblique.woff2") format("woff2"),
    url("../fonts/futura_pt_bold_oblique.woff") format("woff"),
    url("../fonts/futura_pt_bold_oblique.ttf") format("truetype");
}

body {
  font-family: "Futura PT Bold Oblique", sans-serif;
  background-color: #f5f5f5;
  color: #4c2f13;
}

h1,
h2 {
  text-align: center;
  margin-top: 20px;
  color: #4c2f13;
}

.logo {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 100px;
  background-color: #4c2f13;
  color: white;
  padding: 0 20px;
}
.adress {
  font-family: "Futura PT Bold Oblique", sans-serif;
  color: gold;
}
.logo_text img {
  width: 200px;
  height: auto;
}

.social,
.contacts {
  display: flex;
  align-items: center;
  gap: 15px;
}

.logo_icons img {
  width: 30px;
}

.main_menu {
  width: 80%;
  margin: 20px auto;
  text-transform: uppercase;
  font-weight: 600;
}
.menu-toggle {
  visibility: hidden;
}

.main_menu ul {
  display: flex;
  justify-content: space-between;
  list-style: none;
}

.main_menu ul li a {
  color: gold;
  text-decoration: none;
  transition: color 0.3s;
}

.main_menu ul li a:hover {
  color: black;
}

.photo img,
.about_master img,
.photo_works img {
  width: 100%;
  border-radius: 10px;
}

.lashes_extensions,
.gallery_photos {
  display: grid;
  gap: 20px;
  width: 80%;
  margin: 20px auto;
}

.lashes_extensions {
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
}

.extensions {
  background: #f5f5f5;
  padding: 20px;
  text-align: center;
  border-radius: 10px;
  color: gold;
  position: relative;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(76, 47, 19, 0.5);
  opacity: 0;
  transition: opacity 0.3s;
  border-radius: 10px;
}

.extensions:hover .overlay {
  opacity: 1;
}

.promo,
.gallery_our_lashes_work {
  background-color: #4c2f13;
  color: gold;
  text-align: center;
  padding: 20px;
  font-size: 1.8rem;
}

.promo_icons {
  display: grid;
  grid-template-columns: repeat(3, minmax(100px, 1fr));
  width: 80%;
  margin: 20px auto;
  gap: 20px;
}
.icons_promo img {
  width: 20%;
  display: inline-block;
}
.promo_icons p {
  display: inline-block;
  width: 100%;
}

.about_master {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 20px;
  width: 80%;
  margin: 100px auto;
}

.about_lashes_master_text,
.about_lashes_master_photo {
  flex: 1;
  min-width: 300px;
}
.gallery_photos,
.lashes_extensions {
  grid-template-columns: repeat(3, 1fr);
}
.footer {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  padding: 20px;
  background-color: #4c2f13;
  color: white;
}

.logo_footer img {
  width: 200px;
}

.footer_icons_container {
  display: flex;
  gap: 10px;
}

.footer_icons img {
  width: 40px;
}

.created_by {
  color: gold;
}

.created_by a {
  color: gold;
  text-decoration: none;
}

.created_by a:hover {
  color: white;
}
iframe {
  display: block;
  margin-top: 100px;
  margin-left: 30%;
  margin-bottom: 100px;
}
/* Адаптивность */
@media (max-width: 768px) {
  .logo {
    display: flex;
    height: 300px;
    flex-direction: column;
    background-color: #4c2f13;
  }
  .main_menu ul {
    flex-direction: column;
    gap: 10px;
    margin-top: 10px;
  }
  .promo_icons {
    display: flex;
    flex-direction: column;
  }

  .about_master,
  .footer {
    flex-direction: column;
    align-items: center;
  }

  .gallery_photos,
  .lashes_extensions {
    grid-template-columns: repeat(1, 1fr);
  }
  iframe {
    display: flex;
    margin-left: 0;
  }
}

@media (max-width: 480px) {
  .promo,
  .gallery_our_lashes_work {
    font-size: 1.5rem;
  }
}
/* Ховер на футер айконс*/
.footer_icons_container a {
  display: inline-block;
  transition: transform 0.3s ease-in-out;
}

.footer_icons_container a:hover {
  transform: scale(1.1);
}
.social a {
  display: inline-block;
  transition: transform 0.3s ease-in-out;
}

.social a:hover {
  transform: scale(1.1);
}
